﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace SQLServerClient
{
    public class DBHelper
    {
        string connString = string.Empty;
        public DBHelper(string dbString)
        {
            connString = dbString;
        }

        public object GetValue(string sql)
        {
            object obj = null;
            using (var conn = new SqlConnection(connString))
            {
                conn.Open();
                var cmd = new SqlCommand(sql, conn);
                obj= cmd.ExecuteScalar();
                conn.Close();
            }
            return obj;
        }
        public DataSet GetDataSet(string sql)
        {
            using (var conn = new SqlConnection(connString))
            {
                var da = new SqlDataAdapter(sql, conn);
                DataSet ds = new DataSet();
                da.Fill(ds);
                return ds;
            }
        }
        
        public int Execute(string sql)
        {
            int i = 0;
            using (var conn = new SqlConnection(connString))
            {
                conn.Open();
                var cmd = new SqlCommand(sql, conn);
                i = cmd.ExecuteNonQuery();
                conn.Close();
            }
            return i;
        }
    }

    public class Connection
    {
        public string Server;
        public string Database;
        public string UID;
        public string PWD;

        public override string ToString()
        {
            return string.Format("server={0};database={1};uid={2};pwd={3};"
                , Server, Database, UID, PWD);
        }
    }
}
